1# Makefile.in generated by automake 1.16.2 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Makefile.am for Hdrs
18#
19#  Licensed to the Apache Software Foundation (ASF) under one
20#  or more contributor license agreements.  See the NOTICE file
21#  distributed with this work for additional information
22#  regarding copyright ownership.  The ASF licenses this file
23#  to you under the Apache License, Version 2.0 (the
24#  "License"); you may not use this file except in compliance
25#  with the License.  You may obtain a copy of the License at
26#
27#      http://www.apache.org/licenses/LICENSE-2.0
28#
29#  Unless required by applicable law or agreed to in writing, software
30#  distributed under the License is distributed on an "AS IS" BASIS,
31#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
32#  See the License for the specific language governing permissions and
33#  limitations under the License.
34
35#  Licensed to the Apache Software Foundation (ASF) under one
36#  or more contributor license agreements.  See the NOTICE file
37#  distributed with this work for additional information
38#  regarding copyright ownership.  The ASF licenses this file
39#  to you under the Apache License, Version 2.0 (the
40#  "License"); you may not use this file except in compliance
41#  with the License.  You may obtain a copy of the License at
42#
43#      http://www.apache.org/licenses/LICENSE-2.0
44#
45#  Unless required by applicable law or agreed to in writing, software
46#  distributed under the License is distributed on an "AS IS" BASIS,
47#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
48#  See the License for the specific language governing permissions and
49#  limitations under the License.
50
51VPATH = @srcdir@
52am__is_gnu_make = { \
53  if test -z '$(MAKELEVEL)'; then \
54    false; \
55  elif test -n '$(MAKE_HOST)'; then \
56    true; \
57  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
58    true; \
59  else \
60    false; \
61  fi; \
62}
63am__make_running_with_option = \
64  case $${target_option-} in \
65      ?) ;; \
66      *) echo "am__make_running_with_option: internal error: invalid" \
67              "target option '$${target_option-}' specified" >&2; \
68         exit 1;; \
69  esac; \
70  has_opt=no; \
71  sane_makeflags=$$MAKEFLAGS; \
72  if $(am__is_gnu_make); then \
73    sane_makeflags=$$MFLAGS; \
74  else \
75    case $$MAKEFLAGS in \
76      *\\[\ \	]*) \
77        bs=\\; \
78        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
79          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
80    esac; \
81  fi; \
82  skip_next=no; \
83  strip_trailopt () \
84  { \
85    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
86  }; \
87  for flg in $$sane_makeflags; do \
88    test $$skip_next = yes && { skip_next=no; continue; }; \
89    case $$flg in \
90      *=*|--*) continue;; \
91        -*I) strip_trailopt 'I'; skip_next=yes;; \
92      -*I?*) strip_trailopt 'I';; \
93        -*O) strip_trailopt 'O'; skip_next=yes;; \
94      -*O?*) strip_trailopt 'O';; \
95        -*l) strip_trailopt 'l'; skip_next=yes;; \
96      -*l?*) strip_trailopt 'l';; \
97      -[dEDm]) skip_next=yes;; \
98      -[JT]) skip_next=yes;; \
99    esac; \
100    case $$flg in \
101      *$$target_option*) has_opt=yes; break;; \
102    esac; \
103  done; \
104  test $$has_opt = yes
105am__make_dryrun = (target_option=n; $(am__make_running_with_option))
106am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
107pkgincludedir = $(includedir)/@PACKAGE@
108am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
109install_sh_DATA = $(install_sh) -c -m 644
110install_sh_PROGRAM = $(install_sh) -c
111install_sh_SCRIPT = $(install_sh) -c
112INSTALL_HEADER = $(INSTALL_DATA)
113transform = $(program_transform_name)
114NORMAL_INSTALL = :
115PRE_INSTALL = :
116POST_INSTALL = :
117NORMAL_UNINSTALL = :
118PRE_UNINSTALL = :
119POST_UNINSTALL = :
120build_triplet = @build@
121host_triplet = @host@
122EXTRA_PROGRAMS = load_http_hdr$(EXEEXT)
123check_PROGRAMS = test_proxy_hdrs$(EXEEXT) test_hdr_heap$(EXEEXT) \
124	test_Huffmancode$(EXEEXT) test_XPACK$(EXEEXT)
125subdir = proxy/hdrs
126ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
127am__aclocal_m4_deps = $(top_srcdir)/build/atomic.m4 \
128	$(top_srcdir)/build/ax_check_openssl.m4 \
129	$(top_srcdir)/build/ax_compare_version.m4 \
130	$(top_srcdir)/build/ax_compiler_vendor.m4 \
131	$(top_srcdir)/build/ax_lib_curl.m4 \
132	$(top_srcdir)/build/ax_lib_readline.m4 \
133	$(top_srcdir)/build/ax_path_generic.m4 \
134	$(top_srcdir)/build/ax_perl_modules.m4 \
135	$(top_srcdir)/build/ax_require_defined.m4 \
136	$(top_srcdir)/build/ax_with_curses.m4 \
137	$(top_srcdir)/build/boringocsp.m4 \
138	$(top_srcdir)/build/brotli.m4 $(top_srcdir)/build/cjose.m4 \
139	$(top_srcdir)/build/common.m4 $(top_srcdir)/build/crypto.m4 \
140	$(top_srcdir)/build/hiredis.m4 $(top_srcdir)/build/jansson.m4 \
141	$(top_srcdir)/build/jemalloc.m4 $(top_srcdir)/build/libtool.m4 \
142	$(top_srcdir)/build/ltoptions.m4 \
143	$(top_srcdir)/build/ltsugar.m4 \
144	$(top_srcdir)/build/ltversion.m4 \
145	$(top_srcdir)/build/lt~obsolete.m4 \
146	$(top_srcdir)/build/luajit.m4 $(top_srcdir)/build/lzma.m4 \
147	$(top_srcdir)/build/network.m4 $(top_srcdir)/build/pcre.m4 \
148	$(top_srcdir)/build/pkg.m4 $(top_srcdir)/build/tcmalloc.m4 \
149	$(top_srcdir)/build/yaml-cpp.m4 $(top_srcdir)/build/zlib.m4 \
150	$(top_srcdir)/configure.ac
151am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
152	$(ACLOCAL_M4)
153DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
154mkinstalldirs = $(install_sh) -d
155CONFIG_HEADER = $(top_builddir)/include/ink_autoconf.h
156CONFIG_CLEAN_FILES =
157CONFIG_CLEAN_VPATH_FILES =
158LIBRARIES = $(noinst_LIBRARIES)
159ARFLAGS = cru
160AM_V_AR = $(am__v_AR_@AM_V@)
161am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
162am__v_AR_0 = @echo "  AR      " $@;
163am__v_AR_1 =
164libhdrs_a_AR = $(AR) $(ARFLAGS)
165libhdrs_a_LIBADD =
166am_libhdrs_a_OBJECTS = HTTP.$(OBJEXT) HdrHeap.$(OBJEXT) \
167	HdrTSOnly.$(OBJEXT) HdrToken.$(OBJEXT) HdrUtils.$(OBJEXT) \
168	HttpCompat.$(OBJEXT) MIME.$(OBJEXT) URL.$(OBJEXT) \
169	HuffmanCodec.$(OBJEXT) XPACK.$(OBJEXT)
170libhdrs_a_OBJECTS = $(am_libhdrs_a_OBJECTS)
171am_load_http_hdr_OBJECTS = load_http_hdr.$(OBJEXT)
172load_http_hdr_OBJECTS = $(am_load_http_hdr_OBJECTS)
173load_http_hdr_DEPENDENCIES = $(top_builddir)/src/tscore/libtscore.la \
174	$(top_builddir)/src/tscpp/util/libtscpputil.la
175AM_V_lt = $(am__v_lt_@AM_V@)
176am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
177am__v_lt_0 = --silent
178am__v_lt_1 =
179am_test_Huffmancode_OBJECTS = test_Huffmancode.$(OBJEXT) \
180	HuffmanCodec.$(OBJEXT)
181test_Huffmancode_OBJECTS = $(am_test_Huffmancode_OBJECTS)
182test_Huffmancode_DEPENDENCIES =  \
183	$(top_builddir)/src/tscore/libtscore.la \
184	$(top_builddir)/src/tscpp/util/libtscpputil.la
185am__dirstamp = $(am__leading_dot)dirstamp
186am_test_XPACK_OBJECTS = unit_tests/test_XPACK-test_XPACK.$(OBJEXT) \
187	test_XPACK-HuffmanCodec.$(OBJEXT) test_XPACK-XPACK.$(OBJEXT)
188test_XPACK_OBJECTS = $(am_test_XPACK_OBJECTS)
189test_XPACK_DEPENDENCIES = $(top_builddir)/src/tscore/libtscore.la \
190	$(top_builddir)/src/tscpp/util/libtscpputil.la
191am_test_hdr_heap_OBJECTS =  \
192	unit_tests/test_hdr_heap-unit_test_main.$(OBJEXT) \
193	unit_tests/test_hdr_heap-test_HdrHeap.$(OBJEXT)
194test_hdr_heap_OBJECTS = $(am_test_hdr_heap_OBJECTS)
195test_hdr_heap_DEPENDENCIES = $(top_builddir)/src/tscore/libtscore.la \
196	$(top_builddir)/src/tscore/libtscore.la \
197	$(top_builddir)/src/tscpp/util/libtscpputil.la \
198	$(top_builddir)/iocore/eventsystem/libinkevent.a \
199	$(top_builddir)/lib/records/librecords_p.a \
200	$(top_builddir)/mgmt/libmgmt_p.la \
201	$(top_builddir)/proxy/shared/libUglyLogStubs.a
202am_test_proxy_hdrs_OBJECTS =  \
203	unit_tests/test_proxy_hdrs-unit_test_main.$(OBJEXT) \
204	unit_tests/test_proxy_hdrs-test_Hdrs.$(OBJEXT) \
205	unit_tests/test_proxy_hdrs-test_HdrUtils.$(OBJEXT) \
206	unit_tests/test_proxy_hdrs-test_URL.$(OBJEXT) \
207	unit_tests/test_proxy_hdrs-test_mime.$(OBJEXT)
208test_proxy_hdrs_OBJECTS = $(am_test_proxy_hdrs_OBJECTS)
209test_proxy_hdrs_DEPENDENCIES =  \
210	$(top_builddir)/src/tscore/libtscore.la \
211	$(top_builddir)/src/tscore/libtscore.la \
212	$(top_builddir)/src/tscpp/util/libtscpputil.la \
213	$(top_builddir)/iocore/eventsystem/libinkevent.a \
214	$(top_builddir)/lib/records/librecords_p.a \
215	$(top_builddir)/mgmt/libmgmt_p.la \
216	$(top_builddir)/proxy/shared/libUglyLogStubs.a
217AM_V_P = $(am__v_P_@AM_V@)
218am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
219am__v_P_0 = false
220am__v_P_1 = :
221AM_V_GEN = $(am__v_GEN_@AM_V@)
222am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
223am__v_GEN_0 = @echo "  GEN     " $@;
224am__v_GEN_1 =
225AM_V_at = $(am__v_at_@AM_V@)
226am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
227am__v_at_0 = @
228am__v_at_1 =
229DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/include
230depcomp = $(SHELL) $(top_srcdir)/build/_aux/depcomp
231am__maybe_remake_depfiles = depfiles
232am__depfiles_remade = ./$(DEPDIR)/HTTP.Po ./$(DEPDIR)/HdrHeap.Po \
233	./$(DEPDIR)/HdrTSOnly.Po ./$(DEPDIR)/HdrToken.Po \
234	./$(DEPDIR)/HdrUtils.Po ./$(DEPDIR)/HttpCompat.Po \
235	./$(DEPDIR)/HuffmanCodec.Po ./$(DEPDIR)/MIME.Po \
236	./$(DEPDIR)/URL.Po ./$(DEPDIR)/XPACK.Po \
237	./$(DEPDIR)/load_http_hdr.Po ./$(DEPDIR)/test_Huffmancode.Po \
238	./$(DEPDIR)/test_XPACK-HuffmanCodec.Po \
239	./$(DEPDIR)/test_XPACK-XPACK.Po \
240	unit_tests/$(DEPDIR)/test_XPACK-test_XPACK.Po \
241	unit_tests/$(DEPDIR)/test_hdr_heap-test_HdrHeap.Po \
242	unit_tests/$(DEPDIR)/test_hdr_heap-unit_test_main.Po \
243	unit_tests/$(DEPDIR)/test_proxy_hdrs-test_HdrUtils.Po \
244	unit_tests/$(DEPDIR)/test_proxy_hdrs-test_Hdrs.Po \
245	unit_tests/$(DEPDIR)/test_proxy_hdrs-test_URL.Po \
246	unit_tests/$(DEPDIR)/test_proxy_hdrs-test_mime.Po \
247	unit_tests/$(DEPDIR)/test_proxy_hdrs-unit_test_main.Po
248am__mv = mv -f
249CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
250	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
251LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
252	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
253	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
254	$(AM_CXXFLAGS) $(CXXFLAGS)
255AM_V_CXX = $(am__v_CXX_@AM_V@)
256am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
257am__v_CXX_0 = @echo "  CXX     " $@;
258am__v_CXX_1 =
259CXXLD = $(CXX)
260CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
261	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
262	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
263AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
264am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
265am__v_CXXLD_0 = @echo "  CXXLD   " $@;
266am__v_CXXLD_1 =
267COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
268	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
269LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
270	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
271	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
272	$(AM_CFLAGS) $(CFLAGS)
273AM_V_CC = $(am__v_CC_@AM_V@)
274am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
275am__v_CC_0 = @echo "  CC      " $@;
276am__v_CC_1 =
277CCLD = $(CC)
278LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
279	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
280	$(AM_LDFLAGS) $(LDFLAGS) -o $@
281AM_V_CCLD = $(am__v_CCLD_@AM_V@)
282am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
283am__v_CCLD_0 = @echo "  CCLD    " $@;
284am__v_CCLD_1 =
285SOURCES = $(libhdrs_a_SOURCES) $(load_http_hdr_SOURCES) \
286	$(test_Huffmancode_SOURCES) $(test_XPACK_SOURCES) \
287	$(test_hdr_heap_SOURCES) $(test_proxy_hdrs_SOURCES)
288DIST_SOURCES = $(libhdrs_a_SOURCES) $(load_http_hdr_SOURCES) \
289	$(test_Huffmancode_SOURCES) $(test_XPACK_SOURCES) \
290	$(test_hdr_heap_SOURCES) $(test_proxy_hdrs_SOURCES)
291am__can_run_installinfo = \
292  case $$AM_UPDATE_INFO_DIR in \
293    n|no|NO) false;; \
294    *) (install-info --version) >/dev/null 2>&1;; \
295  esac
296am__extra_recursive_targets = clang-tidy-recursive
297am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
298# Read a list of newline-separated strings from the standard input,
299# and print each of them once, without duplicates.  Input order is
300# *not* preserved.
301am__uniquify_input = $(AWK) '\
302  BEGIN { nonempty = 0; } \
303  { items[$$0] = 1; nonempty = 1; } \
304  END { if (nonempty) { for (i in items) print i; }; } \
305'
306# Make sure the list of sources is unique.  This is necessary because,
307# e.g., the same source file might be shared among _SOURCES variables
308# for different programs/libraries.
309am__define_uniq_tagged_files = \
310  list='$(am__tagged_files)'; \
311  unique=`for i in $$list; do \
312    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
313  done | $(am__uniquify_input)`
314ETAGS = etags
315CTAGS = ctags
316am__tty_colors_dummy = \
317  mgn= red= grn= lgn= blu= brg= std=; \
318  am__color_tests=no
319am__tty_colors = { \
320  $(am__tty_colors_dummy); \
321  if test "X$(AM_COLOR_TESTS)" = Xno; then \
322    am__color_tests=no; \
323  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
324    am__color_tests=yes; \
325  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
326    am__color_tests=yes; \
327  fi; \
328  if test $$am__color_tests = yes; then \
329    red=''; \
330    grn=''; \
331    lgn=''; \
332    blu=''; \
333    mgn=''; \
334    brg=''; \
335    std=''; \
336  fi; \
337}
338am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
339am__vpath_adj = case $$p in \
340    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
341    *) f=$$p;; \
342  esac;
343am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
344am__install_max = 40
345am__nobase_strip_setup = \
346  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
347am__nobase_strip = \
348  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
349am__nobase_list = $(am__nobase_strip_setup); \
350  for p in $$list; do echo "$$p $$p"; done | \
351  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
352  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
353    if (++n[$$2] == $(am__install_max)) \
354      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
355    END { for (dir in files) print dir, files[dir] }'
356am__base_list = \
357  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
358  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
359am__uninstall_files_from_dir = { \
360  test -z "$$files" \
361    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
362    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
363         $(am__cd) "$$dir" && rm -f $$files; }; \
364  }
365am__recheck_rx = ^[ 	]*:recheck:[ 	]*
366am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
367am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
368# A command that, given a newline-separated list of test names on the
369# standard input, print the name of the tests that are to be re-run
370# upon "make recheck".
371am__list_recheck_tests = $(AWK) '{ \
372  recheck = 1; \
373  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
374    { \
375      if (rc < 0) \
376        { \
377          if ((getline line2 < ($$0 ".log")) < 0) \
378	    recheck = 0; \
379          break; \
380        } \
381      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
382        { \
383          recheck = 0; \
384          break; \
385        } \
386      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
387        { \
388          break; \
389        } \
390    }; \
391  if (recheck) \
392    print $$0; \
393  close ($$0 ".trs"); \
394  close ($$0 ".log"); \
395}'
396# A command that, given a newline-separated list of test names on the
397# standard input, create the global log from their .trs and .log files.
398am__create_global_log = $(AWK) ' \
399function fatal(msg) \
400{ \
401  print "fatal: making $@: " msg | "cat >&2"; \
402  exit 1; \
403} \
404function rst_section(header) \
405{ \
406  print header; \
407  len = length(header); \
408  for (i = 1; i <= len; i = i + 1) \
409    printf "="; \
410  printf "\n\n"; \
411} \
412{ \
413  copy_in_global_log = 1; \
414  global_test_result = "RUN"; \
415  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
416    { \
417      if (rc < 0) \
418         fatal("failed to read from " $$0 ".trs"); \
419      if (line ~ /$(am__global_test_result_rx)/) \
420        { \
421          sub("$(am__global_test_result_rx)", "", line); \
422          sub("[ 	]*$$", "", line); \
423          global_test_result = line; \
424        } \
425      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
426        copy_in_global_log = 0; \
427    }; \
428  if (copy_in_global_log) \
429    { \
430      rst_section(global_test_result ": " $$0); \
431      while ((rc = (getline line < ($$0 ".log"))) != 0) \
432      { \
433        if (rc < 0) \
434          fatal("failed to read from " $$0 ".log"); \
435        print line; \
436      }; \
437      printf "\n"; \
438    }; \
439  close ($$0 ".trs"); \
440  close ($$0 ".log"); \
441}'
442# Restructured Text title.
443am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
444# Solaris 10 'make', and several other traditional 'make' implementations,
445# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
446# by disabling -e (using the XSI extension "set +e") if it's set.
447am__sh_e_setup = case $$- in *e*) set +e;; esac
448# Default flags passed to test drivers.
449am__common_driver_flags = \
450  --color-tests "$$am__color_tests" \
451  --enable-hard-errors "$$am__enable_hard_errors" \
452  --expect-failure "$$am__expect_failure"
453# To be inserted before the command running the test.  Creates the
454# directory for the log if needed.  Stores in $dir the directory
455# containing $f, in $tst the test, in $log the log.  Executes the
456# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
457# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
458# will run the test scripts (or their associated LOG_COMPILER, if
459# thy have one).
460am__check_pre = \
461$(am__sh_e_setup);					\
462$(am__vpath_adj_setup) $(am__vpath_adj)			\
463$(am__tty_colors);					\
464srcdir=$(srcdir); export srcdir;			\
465case "$@" in						\
466  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
467    *) am__odir=.;; 					\
468esac;							\
469test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
470  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
471if test -f "./$$f"; then dir=./;			\
472elif test -f "$$f"; then dir=;				\
473else dir="$(srcdir)/"; fi;				\
474tst=$$dir$$f; log='$@'; 				\
475if test -n '$(DISABLE_HARD_ERRORS)'; then		\
476  am__enable_hard_errors=no; 				\
477else							\
478  am__enable_hard_errors=yes; 				\
479fi; 							\
480case " $(XFAIL_TESTS) " in				\
481  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
482    am__expect_failure=yes;;				\
483  *)							\
484    am__expect_failure=no;;				\
485esac; 							\
486$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
487# A shell command to get the names of the tests scripts with any registered
488# extension removed (i.e., equivalently, the names of the test logs, with
489# the '.log' extension removed).  The result is saved in the shell variable
490# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
491# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
492# since that might cause problem with VPATH rewrites for suffix-less tests.
493# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
494am__set_TESTS_bases = \
495  bases='$(TEST_LOGS)'; \
496  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
497  bases=`echo $$bases`
498RECHECK_LOGS = $(TEST_LOGS)
499AM_RECURSIVE_TARGETS = check recheck
500TEST_SUITE_LOG = test-suite.log
501TEST_EXTENSIONS = @EXEEXT@ .test
502LOG_DRIVER = $(SHELL) $(top_srcdir)/build/_aux/test-driver
503LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
504am__set_b = \
505  case '$@' in \
506    */*) \
507      case '$*' in \
508        */*) b='$*';; \
509          *) b=`echo '$@' | sed 's/\.log$$//'`; \
510       esac;; \
511    *) \
512      b='$*';; \
513  esac
514am__test_logs1 = $(TESTS:=.log)
515am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
516TEST_LOGS = $(am__test_logs2:.test.log=.log)
517TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build/_aux/test-driver
518TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
519	$(TEST_LOG_FLAGS)
520am__DIST_COMMON = $(srcdir)/Makefile.in \
521	$(top_srcdir)/build/_aux/depcomp \
522	$(top_srcdir)/build/_aux/test-driver \
523	$(top_srcdir)/build/tidy.mk
524DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
525pkgdatadir = @pkgdatadir@
526pkglibdir = @pkglibdir@
527pkglibexecdir = @pkglibexecdir@
528ACLOCAL = @ACLOCAL@
529AMTAR = @AMTAR@
530AM_CFLAGS = @AM_CFLAGS@
531AM_CPPFLAGS = @AM_CPPFLAGS@ $(iocore_include_dirs) \
532	-I$(abs_top_srcdir)/include -I$(abs_top_srcdir)/lib \
533	$(TS_INCLUDES)
534AM_CXXFLAGS = @AM_CXXFLAGS@
535AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
536AM_LDFLAGS = @AM_LDFLAGS@
537AR = @AR@
538ASCPP = @ASCPP@
539ATOMIC_LIBS = @ATOMIC_LIBS@
540AUTOCONF = @AUTOCONF@
541AUTOHEADER = @AUTOHEADER@
542AUTOMAKE = @AUTOMAKE@
543AWK = @AWK@
544BORINGOCSP_INCLUDES = @BORINGOCSP_INCLUDES@
545BORINGOCSP_LDFLAGS = @BORINGOCSP_LDFLAGS@
546BORINGOCSP_LIBS = @BORINGOCSP_LIBS@
547BROTLIENC_CFLAGS = @BROTLIENC_CFLAGS@
548BROTLIENC_LIB = @BROTLIENC_LIB@
549CC = @CC@
550CCACHE = @CCACHE@
551CCAS = @CCAS@
552CCASDEPMODE = @CCASDEPMODE@
553CCASFLAGS = @CCASFLAGS@
554CCDEPMODE = @CCDEPMODE@
555CFLAGS = @CFLAGS@
556CFLAGS_HIREDIS = @CFLAGS_HIREDIS@
557CLANG_TIDY = @CLANG_TIDY@
558CPP = @CPP@
559CPPFLAGS = @CPPFLAGS@
560CURL_CFLAGS = @CURL_CFLAGS@
561CURL_CONFIG = @CURL_CONFIG@
562CURL_LIBS = @CURL_LIBS@
563CURSES_CFLAGS = @CURSES_CFLAGS@
564CURSES_LDFLAGS = @CURSES_LDFLAGS@
565CURSES_LIBS = @CURSES_LIBS@
566CXX = @CXX@
567CXXCPP = @CXXCPP@
568CXXDEPMODE = @CXXDEPMODE@
569CXXFLAGS = @CXXFLAGS@
570CYGPATH_W = @CYGPATH_W@
571DEFS = @DEFS@
572DEPDIR = @DEPDIR@
573DLLTOOL = @DLLTOOL@
574DOXYGEN = @DOXYGEN@
575DSYMUTIL = @DSYMUTIL@
576DTRACE = @DTRACE@
577DUMPBIN = @DUMPBIN@
578ECHO_C = @ECHO_C@
579ECHO_N = @ECHO_N@
580ECHO_T = @ECHO_T@
581EGREP = @EGREP@
582EXEEXT = @EXEEXT@
583FGREP = @FGREP@
584FLEX_CFLAGS = @FLEX_CFLAGS@
585GEOIP_LIBS = @GEOIP_LIBS@
586GREP = @GREP@
587HOST_GUESS = @HOST_GUESS@
588HWLOC_CFLAGS = @HWLOC_CFLAGS@
589HWLOC_LIBS = @HWLOC_LIBS@
590INSTALL = @INSTALL@
591INSTALL_DATA = @INSTALL_DATA@
592INSTALL_PROGRAM = @INSTALL_PROGRAM@
593INSTALL_SCRIPT = @INSTALL_SCRIPT@
594INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
595JAVA = @JAVA@
596LD = @LD@
597LDFLAGS = @LDFLAGS@
598LEX = @LEX@
599LEXLIB = @LEXLIB@
600LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
601LIBBROTLIENC_CFLAGS = @LIBBROTLIENC_CFLAGS@
602LIBBROTLIENC_LIBS = @LIBBROTLIENC_LIBS@
603LIBCAP = @LIBCAP@
604LIBCJOSE = @LIBCJOSE@
605LIBCRYPT = @LIBCRYPT@
606LIBJANSSON = @LIBJANSSON@
607LIBLZMA = @LIBLZMA@
608LIBMAGICKCPP_CFLAGS = @LIBMAGICKCPP_CFLAGS@
609LIBMAGICKCPP_LIBS = @LIBMAGICKCPP_LIBS@
610LIBOBJS = @LIBOBJS@
611LIBPCRE = @LIBPCRE@
612LIBPROFILER = @LIBPROFILER@
613LIBREADLINE = @LIBREADLINE@
614LIBRESOLV = @LIBRESOLV@
615LIBS = @LIBS@
616LIBTOOL = @LIBTOOL@
617LIBUNWIND_CFLAGS = @LIBUNWIND_CFLAGS@
618LIBUNWIND_LIBS = @LIBUNWIND_LIBS@
619LIBZ = @LIBZ@
620LIB_HIREDIS = @LIB_HIREDIS@
621LIB_KYOTOCABINET = @LIB_KYOTOCABINET@
622LIB_MYSQLCLIENT = @LIB_MYSQLCLIENT@
623LIPO = @LIPO@
624LN_S = @LN_S@
625LTLIBOBJS = @LTLIBOBJS@
626LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
627LUAJIT_CFLAGS = @LUAJIT_CFLAGS@
628LUAJIT_CPPFLAGS = @LUAJIT_CPPFLAGS@
629LUAJIT_DARWIN_LDFLAGS = @LUAJIT_DARWIN_LDFLAGS@
630LUAJIT_LDFLAGS = @LUAJIT_LDFLAGS@
631LUAJIT_LIBS = @LUAJIT_LIBS@
632MAINT = @MAINT@
633MAKEINFO = @MAKEINFO@
634MANIFEST_TOOL = @MANIFEST_TOOL@
635MAXMINDDB_LIBS = @MAXMINDDB_LIBS@
636MKDIR_P = @MKDIR_P@
637NM = @NM@
638NMEDIT = @NMEDIT@
639OBJDUMP = @OBJDUMP@
640OBJEXT = @OBJEXT@
641OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
642OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
643OPENSSL_LIBS = @OPENSSL_LIBS@
644OTOOL = @OTOOL@
645OTOOL64 = @OTOOL64@
646PACKAGE = @PACKAGE@
647PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
648PACKAGE_NAME = @PACKAGE_NAME@
649PACKAGE_STRING = @PACKAGE_STRING@
650PACKAGE_TARNAME = @PACKAGE_TARNAME@
651PACKAGE_URL = @PACKAGE_URL@
652PACKAGE_VERSION = @PACKAGE_VERSION@
653PATH_SEPARATOR = @PATH_SEPARATOR@
654PCRE_CONFIG = @PCRE_CONFIG@
655PERL = @PERL@
656PKG_CONFIG = @PKG_CONFIG@
657PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
658PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
659PYTHON = @PYTHON@
660PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
661PYTHON_PLATFORM = @PYTHON_PLATFORM@
662PYTHON_PREFIX = @PYTHON_PREFIX@
663PYTHON_VERSION = @PYTHON_VERSION@
664RANLIB = @RANLIB@
665RM = @RM@
666RPATH = @RPATH@
667SED = @SED@
668SET_MAKE = @SET_MAKE@
669SHELL = @SHELL@
670SPHINXBUILD = @SPHINXBUILD@
671SPHINXOPTS = @SPHINXOPTS@
672STRIP = @STRIP@
673TS_INCLUDES = @TS_INCLUDES@
674TS_LIBTOOL_VERSION = @TS_LIBTOOL_VERSION@
675TS_MAN1_MANPAGES = @TS_MAN1_MANPAGES@
676TS_MAN3_MANPAGES = @TS_MAN3_MANPAGES@
677TS_MAN5_MANPAGES = @TS_MAN5_MANPAGES@
678TS_MAN8_MANPAGES = @TS_MAN8_MANPAGES@
679TS_VERSION_MAJOR = @TS_VERSION_MAJOR@
680TS_VERSION_MICRO = @TS_VERSION_MICRO@
681TS_VERSION_MINOR = @TS_VERSION_MINOR@
682TS_VERSION_NUMBER = @TS_VERSION_NUMBER@
683TS_VERSION_STRING = @TS_VERSION_STRING@
684VERSION = @VERSION@
685YACC = @YACC@
686YAMLCPP_INCLUDES = @YAMLCPP_INCLUDES@
687YAMLCPP_LDFLAGS = @YAMLCPP_LDFLAGS@
688YAMLCPP_LIBS = @YAMLCPP_LIBS@
689abs_builddir = @abs_builddir@
690abs_srcdir = @abs_srcdir@
691abs_top_builddir = @abs_top_builddir@
692abs_top_srcdir = @abs_top_srcdir@
693ac_ct_AR = @ac_ct_AR@
694ac_ct_CC = @ac_ct_CC@
695ac_ct_CXX = @ac_ct_CXX@
696ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
697am__include = @am__include@
698am__leading_dot = @am__leading_dot@
699am__quote = @am__quote@
700am__tar = @am__tar@
701am__untar = @am__untar@
702bindir = @bindir@
703build = @build@
704build_alias = @build_alias@
705build_cpu = @build_cpu@
706build_group = @build_group@
707build_machine = @build_machine@
708build_number = @build_number@
709build_os = @build_os@
710build_person = @build_person@
711build_vendor = @build_vendor@
712builddir = @builddir@
713cachedir = @cachedir@
714datadir = @datadir@
715datarootdir = @datarootdir@
716default_loopback_iface = @default_loopback_iface@
717default_stack_size = @default_stack_size@
718docdir = @docdir@
719dvidir = @dvidir@
720enable_fips = @enable_fips@
721enable_remote_cov_commit = @enable_remote_cov_commit@
722exec_prefix = @exec_prefix@
723exp_bindir = @exp_bindir@
724exp_cachedir = @exp_cachedir@
725exp_datadir = @exp_datadir@
726exp_docdir = @exp_docdir@
727exp_exec_prefix = @exp_exec_prefix@
728exp_includedir = @exp_includedir@
729exp_infodir = @exp_infodir@
730exp_installbuilddir = @exp_installbuilddir@
731exp_libdir = @exp_libdir@
732exp_libexecdir = @exp_libexecdir@
733exp_localstatedir = @exp_localstatedir@
734exp_logdir = @exp_logdir@
735exp_mandir = @exp_mandir@
736exp_prefix = @exp_prefix@
737exp_runtimedir = @exp_runtimedir@
738exp_sbindir = @exp_sbindir@
739exp_sysconfdir = @exp_sysconfdir@
740has_128bit_cas = @has_128bit_cas@
741has_backtrace = @has_backtrace@
742has_boringocsp = @has_boringocsp@
743has_expensive_tests = @has_expensive_tests@
744has_geoip = @has_geoip@
745has_in6_is_addr_unspecified = @has_in6_is_addr_unspecified@
746has_ip_tos = @has_ip_tos@
747has_kyotocabinet = @has_kyotocabinet@
748has_luajit = @has_luajit@
749has_maxminddb = @has_maxminddb@
750has_mysql = @has_mysql@
751has_profiler = @has_profiler@
752has_so_mark = @has_so_mark@
753has_so_peercred = @has_so_peercred@
754has_tcmalloc = @has_tcmalloc@
755has_tests = @has_tests@
756has_tls_early_data = @has_tls_early_data@
757has_tls_session_ticket = @has_tls_session_ticket@
758has_wccp = @has_wccp@
759host = @host@
760host_alias = @host_alias@
761host_cpu = @host_cpu@
762host_os = @host_os@
763host_vendor = @host_vendor@
764htmldir = @htmldir@
765includedir = @includedir@
766infodir = @infodir@
767install_sh = @install_sh@
768installbuilddir = @installbuilddir@
769iocore_include_dirs = @iocore_include_dirs@
770ip_transparent = @ip_transparent@
771jemalloch = @jemalloch@
772libdir = @libdir@
773libexecdir = @libexecdir@
774localedir = @localedir@
775localstatedir = @localstatedir@
776logdir = @logdir@
777mandir = @mandir@
778max_event_threads = @max_event_threads@
779max_host_name_len = @max_host_name_len@
780max_threads_per_type = @max_threads_per_type@
781mkdir_p = @mkdir_p@
782oldincludedir = @oldincludedir@
783pdfdir = @pdfdir@
784pkgbindir = @pkgbindir@
785pkgcachedir = @pkgcachedir@
786pkgdocdir = @pkgdocdir@
787pkglocalstatedir = @pkglocalstatedir@
788pkglogdir = @pkglogdir@
789pkgpyexecdir = @pkgpyexecdir@
790pkgpythondir = @pkgpythondir@
791pkgruntimedir = @pkgruntimedir@
792pkgsbindir = @pkgsbindir@
793pkgsysconfdir = @pkgsysconfdir@
794pkgsysgroup = @pkgsysgroup@
795pkgsysuser = @pkgsysuser@
796prefix = @prefix@
797program_transform_name = @program_transform_name@
798psdir = @psdir@
799pyexecdir = @pyexecdir@
800pythondir = @pythondir@
801rel_bindir = @rel_bindir@
802rel_cachedir = @rel_cachedir@
803rel_datadir = @rel_datadir@
804rel_docdir = @rel_docdir@
805rel_exec_prefix = @rel_exec_prefix@
806rel_includedir = @rel_includedir@
807rel_infodir = @rel_infodir@
808rel_installbuilddir = @rel_installbuilddir@
809rel_libdir = @rel_libdir@
810rel_libexecdir = @rel_libexecdir@
811rel_localstatedir = @rel_localstatedir@
812rel_logdir = @rel_logdir@
813rel_mandir = @rel_mandir@
814rel_prefix = @rel_prefix@
815rel_runtimedir = @rel_runtimedir@
816rel_sbindir = @rel_sbindir@
817rel_sysconfdir = @rel_sysconfdir@
818runstatedir = @runstatedir@
819runtimedir = @runtimedir@
820sbindir = @sbindir@
821sharedstatedir = @sharedstatedir@
822srcdir = @srcdir@
823sysconfdir = @sysconfdir@
824target_alias = @target_alias@
825top_build_prefix = @top_build_prefix@
826top_builddir = @top_builddir@
827top_srcdir = @top_srcdir@
828use_boringocsp = @use_boringocsp@
829use_dh_get_2048_256 = @use_dh_get_2048_256@
830use_diags = @use_diags@
831use_epoll = @use_epoll@
832use_fast_sdk = @use_fast_sdk@
833use_hello_cb = @use_hello_cb@
834use_hkdf = @use_hkdf@
835use_hrw_geoip = @use_hrw_geoip@
836use_hrw_maxminddb = @use_hrw_maxminddb@
837use_hwloc = @use_hwloc@
838use_kqueue = @use_kqueue@
839use_linux_native_aio = @use_linux_native_aio@
840use_port = @use_port@
841use_posix_cap = @use_posix_cap@
842use_quic = @use_quic@
843use_remote_unwinding = @use_remote_unwinding@
844use_set_rbio = @use_set_rbio@
845use_tls13 = @use_tls13@
846use_tls_async = @use_tls_async@
847use_tls_ocsp = @use_tls_ocsp@
848use_tls_set_ciphersuites = @use_tls_set_ciphersuites@
849use_tproxy = @use_tproxy@
850Clang_Tidy_Options = -fix -fix-errors
851
852# Sort the filenames to remove duplicates, then filter to retain
853# just the C and C++ sources so we don't pick up lex and yacc files
854# for example.
855Clang_Tidy_CC_Files = $(filter %.c, $(sort $^))
856Clang_Tidy_CXX_Files = $(filter %.cc, $(sort $^))
857
858# clang-tidy rules. We expect these to be actions with something like
859# $(DIST_SOURCES) as the dependencies.rules. Note that $DIST_SOURCES
860# is not an automake API, it is an implementation detail, but it ought
861# to be stable enough.
862#
863# All this clearly requires GNU make.
864CXX_Clang_Tidy = $(CLANG_TIDY) $(Clang_Tidy_Options) $(Clang_Tidy_CXX_Files) -- $(CXXCOMPILE) -x c++
865CC_Clang_Tidy = $(CLANG_TIDY) $(Clang_Tidy_Options) $(Clang_Tidy_CC_Files) -- $(COMPILE) -x c
866noinst_LIBRARIES = libhdrs.a
867
868# Http library source files.
869libhdrs_a_SOURCES = \
870	HTTP.cc \
871	HTTP.h \
872	HdrHeap.cc \
873	HdrHeap.h \
874	HdrTSOnly.cc \
875	HdrToken.cc \
876	HdrToken.h \
877	HdrUtils.cc \
878	HdrUtils.h \
879	HttpCompat.cc \
880	HttpCompat.h \
881	MIME.cc \
882	MIME.h \
883	URL.cc \
884	URL.h \
885	HuffmanCodec.cc \
886	HuffmanCodec.h \
887	XPACK.cc \
888	XPACK.h
889
890load_http_hdr_SOURCES = \
891	HTTP.h \
892	HdrHeap.h \
893	MIME.h \
894	load_http_hdr.cc
895
896load_http_hdr_LDADD = -L. -lhdrs \
897	$(top_builddir)/src/tscore/libtscore.la \
898	$(top_builddir)/src/tscpp/util/libtscpputil.la
899
900TESTS = $(check_PROGRAMS)
901test_proxy_hdrs_CPPFLAGS = $(AM_CPPFLAGS) \
902	-I$(abs_top_srcdir)/tests/include
903
904test_proxy_hdrs_SOURCES = \
905	unit_tests/unit_test_main.cc \
906	unit_tests/test_Hdrs.cc \
907	unit_tests/test_HdrUtils.cc \
908	unit_tests/test_URL.cc \
909	unit_tests/test_mime.cc
910
911test_proxy_hdrs_LDADD = \
912	$(top_builddir)/src/tscore/libtscore.la \
913	-L. -lhdrs \
914	$(top_builddir)/src/tscore/libtscore.la \
915	$(top_builddir)/src/tscpp/util/libtscpputil.la \
916	$(top_builddir)/iocore/eventsystem/libinkevent.a \
917	$(top_builddir)/lib/records/librecords_p.a \
918	$(top_builddir)/mgmt/libmgmt_p.la \
919	$(top_builddir)/proxy/shared/libUglyLogStubs.a \
920	@HWLOC_LIBS@ \
921	@LIBCAP@
922
923test_hdr_heap_CPPFLAGS = $(AM_CPPFLAGS) \
924	-I$(abs_top_srcdir)/tests/include
925
926test_hdr_heap_SOURCES = \
927	unit_tests/unit_test_main.cc \
928	unit_tests/test_HdrHeap.cc
929
930test_hdr_heap_LDADD = -L. -lhdrs \
931	$(top_builddir)/src/tscore/libtscore.la \
932	-L. -lhdrs \
933	$(top_builddir)/src/tscore/libtscore.la \
934	$(top_builddir)/src/tscpp/util/libtscpputil.la \
935	$(top_builddir)/iocore/eventsystem/libinkevent.a \
936	$(top_builddir)/lib/records/librecords_p.a \
937	$(top_builddir)/mgmt/libmgmt_p.la \
938	$(top_builddir)/proxy/shared/libUglyLogStubs.a \
939	@HWLOC_LIBS@ \
940	@LIBCAP@
941
942test_Huffmancode_LDADD = \
943	$(top_builddir)/src/tscore/libtscore.la \
944	$(top_builddir)/src/tscpp/util/libtscpputil.la
945
946test_Huffmancode_SOURCES = \
947	test_Huffmancode.cc \
948	HuffmanCodec.cc \
949	HuffmanCodec.h
950
951test_XPACK_CPPFLAGS = \
952	$(AM_CPPFLAGS) \
953	-I$(abs_top_srcdir)/tests/include
954
955test_XPACK_LDADD = \
956	$(top_builddir)/src/tscore/libtscore.la \
957	$(top_builddir)/src/tscpp/util/libtscpputil.la
958
959test_XPACK_SOURCES = \
960	unit_tests/test_XPACK.cc \
961	HuffmanCodec.cc \
962	XPACK.cc
963
964all: all-am
965
966.SUFFIXES:
967.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
968$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/build/tidy.mk $(am__configure_deps)
969	@for dep in $?; do \
970	  case '$(am__configure_deps)' in \
971	    *$$dep*) \
972	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
973	        && { if test -f $@; then exit 0; else break; fi; }; \
974	      exit 1;; \
975	  esac; \
976	done; \
977	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign proxy/hdrs/Makefile'; \
978	$(am__cd) $(top_srcdir) && \
979	  $(AUTOMAKE) --foreign proxy/hdrs/Makefile
980Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
981	@case '$?' in \
982	  *config.status*) \
983	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
984	  *) \
985	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
986	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
987	esac;
988$(top_srcdir)/build/tidy.mk $(am__empty):
989
990$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
991	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
992
993$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
994	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
995$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
996	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
997$(am__aclocal_m4_deps):
998
999clean-checkPROGRAMS:
1000	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
1001	echo " rm -f" $$list; \
1002	rm -f $$list || exit $$?; \
1003	test -n "$(EXEEXT)" || exit 0; \
1004	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1005	echo " rm -f" $$list; \
1006	rm -f $$list
1007
1008clean-noinstLIBRARIES:
1009	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
1010
1011libhdrs.a: $(libhdrs_a_OBJECTS) $(libhdrs_a_DEPENDENCIES) $(EXTRA_libhdrs_a_DEPENDENCIES)
1012	$(AM_V_at)-rm -f libhdrs.a
1013	$(AM_V_AR)$(libhdrs_a_AR) libhdrs.a $(libhdrs_a_OBJECTS) $(libhdrs_a_LIBADD)
1014	$(AM_V_at)$(RANLIB) libhdrs.a
1015
1016load_http_hdr$(EXEEXT): $(load_http_hdr_OBJECTS) $(load_http_hdr_DEPENDENCIES) $(EXTRA_load_http_hdr_DEPENDENCIES)
1017	@rm -f load_http_hdr$(EXEEXT)
1018	$(AM_V_CXXLD)$(CXXLINK) $(load_http_hdr_OBJECTS) $(load_http_hdr_LDADD) $(LIBS)
1019
1020test_Huffmancode$(EXEEXT): $(test_Huffmancode_OBJECTS) $(test_Huffmancode_DEPENDENCIES) $(EXTRA_test_Huffmancode_DEPENDENCIES)
1021	@rm -f test_Huffmancode$(EXEEXT)
1022	$(AM_V_CXXLD)$(CXXLINK) $(test_Huffmancode_OBJECTS) $(test_Huffmancode_LDADD) $(LIBS)
1023unit_tests/$(am__dirstamp):
1024	@$(MKDIR_P) unit_tests
1025	@: > unit_tests/$(am__dirstamp)
1026unit_tests/$(DEPDIR)/$(am__dirstamp):
1027	@$(MKDIR_P) unit_tests/$(DEPDIR)
1028	@: > unit_tests/$(DEPDIR)/$(am__dirstamp)
1029unit_tests/test_XPACK-test_XPACK.$(OBJEXT):  \
1030	unit_tests/$(am__dirstamp) \
1031	unit_tests/$(DEPDIR)/$(am__dirstamp)
1032
1033test_XPACK$(EXEEXT): $(test_XPACK_OBJECTS) $(test_XPACK_DEPENDENCIES) $(EXTRA_test_XPACK_DEPENDENCIES)
1034	@rm -f test_XPACK$(EXEEXT)
1035	$(AM_V_CXXLD)$(CXXLINK) $(test_XPACK_OBJECTS) $(test_XPACK_LDADD) $(LIBS)
1036unit_tests/test_hdr_heap-unit_test_main.$(OBJEXT):  \
1037	unit_tests/$(am__dirstamp) \
1038	unit_tests/$(DEPDIR)/$(am__dirstamp)
1039unit_tests/test_hdr_heap-test_HdrHeap.$(OBJEXT):  \
1040	unit_tests/$(am__dirstamp) \
1041	unit_tests/$(DEPDIR)/$(am__dirstamp)
1042
1043test_hdr_heap$(EXEEXT): $(test_hdr_heap_OBJECTS) $(test_hdr_heap_DEPENDENCIES) $(EXTRA_test_hdr_heap_DEPENDENCIES)
1044	@rm -f test_hdr_heap$(EXEEXT)
1045	$(AM_V_CXXLD)$(CXXLINK) $(test_hdr_heap_OBJECTS) $(test_hdr_heap_LDADD) $(LIBS)
1046unit_tests/test_proxy_hdrs-unit_test_main.$(OBJEXT):  \
1047	unit_tests/$(am__dirstamp) \
1048	unit_tests/$(DEPDIR)/$(am__dirstamp)
1049unit_tests/test_proxy_hdrs-test_Hdrs.$(OBJEXT):  \
1050	unit_tests/$(am__dirstamp) \
1051	unit_tests/$(DEPDIR)/$(am__dirstamp)
1052unit_tests/test_proxy_hdrs-test_HdrUtils.$(OBJEXT):  \
1053	unit_tests/$(am__dirstamp) \
1054	unit_tests/$(DEPDIR)/$(am__dirstamp)
1055unit_tests/test_proxy_hdrs-test_URL.$(OBJEXT):  \
1056	unit_tests/$(am__dirstamp) \
1057	unit_tests/$(DEPDIR)/$(am__dirstamp)
1058unit_tests/test_proxy_hdrs-test_mime.$(OBJEXT):  \
1059	unit_tests/$(am__dirstamp) \
1060	unit_tests/$(DEPDIR)/$(am__dirstamp)
1061
1062test_proxy_hdrs$(EXEEXT): $(test_proxy_hdrs_OBJECTS) $(test_proxy_hdrs_DEPENDENCIES) $(EXTRA_test_proxy_hdrs_DEPENDENCIES)
1063	@rm -f test_proxy_hdrs$(EXEEXT)
1064	$(AM_V_CXXLD)$(CXXLINK) $(test_proxy_hdrs_OBJECTS) $(test_proxy_hdrs_LDADD) $(LIBS)
1065
1066mostlyclean-compile:
1067	-rm -f *.$(OBJEXT)
1068	-rm -f unit_tests/*.$(OBJEXT)
1069
1070distclean-compile:
1071	-rm -f *.tab.c
1072
1073@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HTTP.Po@am__quote@ # am--include-marker
1074@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HdrHeap.Po@am__quote@ # am--include-marker
1075@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HdrTSOnly.Po@am__quote@ # am--include-marker
1076@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HdrToken.Po@am__quote@ # am--include-marker
1077@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HdrUtils.Po@am__quote@ # am--include-marker
1078@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpCompat.Po@am__quote@ # am--include-marker
1079@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HuffmanCodec.Po@am__quote@ # am--include-marker
1080@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MIME.Po@am__quote@ # am--include-marker
1081@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/URL.Po@am__quote@ # am--include-marker
1082@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/XPACK.Po@am__quote@ # am--include-marker
1083@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/load_http_hdr.Po@am__quote@ # am--include-marker
1084@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_Huffmancode.Po@am__quote@ # am--include-marker
1085@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_XPACK-HuffmanCodec.Po@am__quote@ # am--include-marker
1086@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_XPACK-XPACK.Po@am__quote@ # am--include-marker
1087@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_XPACK-test_XPACK.Po@am__quote@ # am--include-marker
1088@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_hdr_heap-test_HdrHeap.Po@am__quote@ # am--include-marker
1089@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_hdr_heap-unit_test_main.Po@am__quote@ # am--include-marker
1090@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_proxy_hdrs-test_HdrUtils.Po@am__quote@ # am--include-marker
1091@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_proxy_hdrs-test_Hdrs.Po@am__quote@ # am--include-marker
1092@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_proxy_hdrs-test_URL.Po@am__quote@ # am--include-marker
1093@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_proxy_hdrs-test_mime.Po@am__quote@ # am--include-marker
1094@AMDEP_TRUE@@am__include@ @am__quote@unit_tests/$(DEPDIR)/test_proxy_hdrs-unit_test_main.Po@am__quote@ # am--include-marker
1095
1096$(am__depfiles_remade):
1097	@$(MKDIR_P) $(@D)
1098	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
1099
1100am--depfiles: $(am__depfiles_remade)
1101
1102.cc.o:
1103@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1104@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1105@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
1106@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1107@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1108@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1109
1110.cc.obj:
1111@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1112@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1113@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
1114@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1115@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1116@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1117
1118.cc.lo:
1119@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1120@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1121@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
1122@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1123@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1124@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1125
1126unit_tests/test_XPACK-test_XPACK.o: unit_tests/test_XPACK.cc
1127@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_XPACK-test_XPACK.o -MD -MP -MF unit_tests/$(DEPDIR)/test_XPACK-test_XPACK.Tpo -c -o unit_tests/test_XPACK-test_XPACK.o `test -f 'unit_tests/test_XPACK.cc' || echo '$(srcdir)/'`unit_tests/test_XPACK.cc
1128@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_XPACK-test_XPACK.Tpo unit_tests/$(DEPDIR)/test_XPACK-test_XPACK.Po
1129@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_XPACK.cc' object='unit_tests/test_XPACK-test_XPACK.o' libtool=no @AMDEPBACKSLASH@
1130@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1131@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_XPACK-test_XPACK.o `test -f 'unit_tests/test_XPACK.cc' || echo '$(srcdir)/'`unit_tests/test_XPACK.cc
1132
1133unit_tests/test_XPACK-test_XPACK.obj: unit_tests/test_XPACK.cc
1134@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_XPACK-test_XPACK.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_XPACK-test_XPACK.Tpo -c -o unit_tests/test_XPACK-test_XPACK.obj `if test -f 'unit_tests/test_XPACK.cc'; then $(CYGPATH_W) 'unit_tests/test_XPACK.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_XPACK.cc'; fi`
1135@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_XPACK-test_XPACK.Tpo unit_tests/$(DEPDIR)/test_XPACK-test_XPACK.Po
1136@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_XPACK.cc' object='unit_tests/test_XPACK-test_XPACK.obj' libtool=no @AMDEPBACKSLASH@
1137@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1138@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_XPACK-test_XPACK.obj `if test -f 'unit_tests/test_XPACK.cc'; then $(CYGPATH_W) 'unit_tests/test_XPACK.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_XPACK.cc'; fi`
1139
1140test_XPACK-HuffmanCodec.o: HuffmanCodec.cc
1141@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_XPACK-HuffmanCodec.o -MD -MP -MF $(DEPDIR)/test_XPACK-HuffmanCodec.Tpo -c -o test_XPACK-HuffmanCodec.o `test -f 'HuffmanCodec.cc' || echo '$(srcdir)/'`HuffmanCodec.cc
1142@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_XPACK-HuffmanCodec.Tpo $(DEPDIR)/test_XPACK-HuffmanCodec.Po
1143@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='HuffmanCodec.cc' object='test_XPACK-HuffmanCodec.o' libtool=no @AMDEPBACKSLASH@
1144@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1145@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_XPACK-HuffmanCodec.o `test -f 'HuffmanCodec.cc' || echo '$(srcdir)/'`HuffmanCodec.cc
1146
1147test_XPACK-HuffmanCodec.obj: HuffmanCodec.cc
1148@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_XPACK-HuffmanCodec.obj -MD -MP -MF $(DEPDIR)/test_XPACK-HuffmanCodec.Tpo -c -o test_XPACK-HuffmanCodec.obj `if test -f 'HuffmanCodec.cc'; then $(CYGPATH_W) 'HuffmanCodec.cc'; else $(CYGPATH_W) '$(srcdir)/HuffmanCodec.cc'; fi`
1149@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_XPACK-HuffmanCodec.Tpo $(DEPDIR)/test_XPACK-HuffmanCodec.Po
1150@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='HuffmanCodec.cc' object='test_XPACK-HuffmanCodec.obj' libtool=no @AMDEPBACKSLASH@
1151@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1152@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_XPACK-HuffmanCodec.obj `if test -f 'HuffmanCodec.cc'; then $(CYGPATH_W) 'HuffmanCodec.cc'; else $(CYGPATH_W) '$(srcdir)/HuffmanCodec.cc'; fi`
1153
1154test_XPACK-XPACK.o: XPACK.cc
1155@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_XPACK-XPACK.o -MD -MP -MF $(DEPDIR)/test_XPACK-XPACK.Tpo -c -o test_XPACK-XPACK.o `test -f 'XPACK.cc' || echo '$(srcdir)/'`XPACK.cc
1156@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_XPACK-XPACK.Tpo $(DEPDIR)/test_XPACK-XPACK.Po
1157@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='XPACK.cc' object='test_XPACK-XPACK.o' libtool=no @AMDEPBACKSLASH@
1158@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1159@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_XPACK-XPACK.o `test -f 'XPACK.cc' || echo '$(srcdir)/'`XPACK.cc
1160
1161test_XPACK-XPACK.obj: XPACK.cc
1162@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_XPACK-XPACK.obj -MD -MP -MF $(DEPDIR)/test_XPACK-XPACK.Tpo -c -o test_XPACK-XPACK.obj `if test -f 'XPACK.cc'; then $(CYGPATH_W) 'XPACK.cc'; else $(CYGPATH_W) '$(srcdir)/XPACK.cc'; fi`
1163@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_XPACK-XPACK.Tpo $(DEPDIR)/test_XPACK-XPACK.Po
1164@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='XPACK.cc' object='test_XPACK-XPACK.obj' libtool=no @AMDEPBACKSLASH@
1165@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1166@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_XPACK_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_XPACK-XPACK.obj `if test -f 'XPACK.cc'; then $(CYGPATH_W) 'XPACK.cc'; else $(CYGPATH_W) '$(srcdir)/XPACK.cc'; fi`
1167
1168unit_tests/test_hdr_heap-unit_test_main.o: unit_tests/unit_test_main.cc
1169@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_hdr_heap_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_hdr_heap-unit_test_main.o -MD -MP -MF unit_tests/$(DEPDIR)/test_hdr_heap-unit_test_main.Tpo -c -o unit_tests/test_hdr_heap-unit_test_main.o `test -f 'unit_tests/unit_test_main.cc' || echo '$(srcdir)/'`unit_tests/unit_test_main.cc
1170@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_hdr_heap-unit_test_main.Tpo unit_tests/$(DEPDIR)/test_hdr_heap-unit_test_main.Po
1171@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/unit_test_main.cc' object='unit_tests/test_hdr_heap-unit_test_main.o' libtool=no @AMDEPBACKSLASH@
1172@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1173@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_hdr_heap_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_hdr_heap-unit_test_main.o `test -f 'unit_tests/unit_test_main.cc' || echo '$(srcdir)/'`unit_tests/unit_test_main.cc
1174
1175unit_tests/test_hdr_heap-unit_test_main.obj: unit_tests/unit_test_main.cc
1176@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_hdr_heap_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_hdr_heap-unit_test_main.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_hdr_heap-unit_test_main.Tpo -c -o unit_tests/test_hdr_heap-unit_test_main.obj `if test -f 'unit_tests/unit_test_main.cc'; then $(CYGPATH_W) 'unit_tests/unit_test_main.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/unit_test_main.cc'; fi`
1177@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_hdr_heap-unit_test_main.Tpo unit_tests/$(DEPDIR)/test_hdr_heap-unit_test_main.Po
1178@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/unit_test_main.cc' object='unit_tests/test_hdr_heap-unit_test_main.obj' libtool=no @AMDEPBACKSLASH@
1179@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1180@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_hdr_heap_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_hdr_heap-unit_test_main.obj `if test -f 'unit_tests/unit_test_main.cc'; then $(CYGPATH_W) 'unit_tests/unit_test_main.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/unit_test_main.cc'; fi`
1181
1182unit_tests/test_hdr_heap-test_HdrHeap.o: unit_tests/test_HdrHeap.cc
1183@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_hdr_heap_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_hdr_heap-test_HdrHeap.o -MD -MP -MF unit_tests/$(DEPDIR)/test_hdr_heap-test_HdrHeap.Tpo -c -o unit_tests/test_hdr_heap-test_HdrHeap.o `test -f 'unit_tests/test_HdrHeap.cc' || echo '$(srcdir)/'`unit_tests/test_HdrHeap.cc
1184@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_hdr_heap-test_HdrHeap.Tpo unit_tests/$(DEPDIR)/test_hdr_heap-test_HdrHeap.Po
1185@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_HdrHeap.cc' object='unit_tests/test_hdr_heap-test_HdrHeap.o' libtool=no @AMDEPBACKSLASH@
1186@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1187@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_hdr_heap_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_hdr_heap-test_HdrHeap.o `test -f 'unit_tests/test_HdrHeap.cc' || echo '$(srcdir)/'`unit_tests/test_HdrHeap.cc
1188
1189unit_tests/test_hdr_heap-test_HdrHeap.obj: unit_tests/test_HdrHeap.cc
1190@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_hdr_heap_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_hdr_heap-test_HdrHeap.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_hdr_heap-test_HdrHeap.Tpo -c -o unit_tests/test_hdr_heap-test_HdrHeap.obj `if test -f 'unit_tests/test_HdrHeap.cc'; then $(CYGPATH_W) 'unit_tests/test_HdrHeap.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_HdrHeap.cc'; fi`
1191@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_hdr_heap-test_HdrHeap.Tpo unit_tests/$(DEPDIR)/test_hdr_heap-test_HdrHeap.Po
1192@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_HdrHeap.cc' object='unit_tests/test_hdr_heap-test_HdrHeap.obj' libtool=no @AMDEPBACKSLASH@
1193@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1194@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_hdr_heap_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_hdr_heap-test_HdrHeap.obj `if test -f 'unit_tests/test_HdrHeap.cc'; then $(CYGPATH_W) 'unit_tests/test_HdrHeap.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_HdrHeap.cc'; fi`
1195
1196unit_tests/test_proxy_hdrs-unit_test_main.o: unit_tests/unit_test_main.cc
1197@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_hdrs-unit_test_main.o -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_hdrs-unit_test_main.Tpo -c -o unit_tests/test_proxy_hdrs-unit_test_main.o `test -f 'unit_tests/unit_test_main.cc' || echo '$(srcdir)/'`unit_tests/unit_test_main.cc
1198@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_hdrs-unit_test_main.Tpo unit_tests/$(DEPDIR)/test_proxy_hdrs-unit_test_main.Po
1199@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/unit_test_main.cc' object='unit_tests/test_proxy_hdrs-unit_test_main.o' libtool=no @AMDEPBACKSLASH@
1200@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1201@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_hdrs-unit_test_main.o `test -f 'unit_tests/unit_test_main.cc' || echo '$(srcdir)/'`unit_tests/unit_test_main.cc
1202
1203unit_tests/test_proxy_hdrs-unit_test_main.obj: unit_tests/unit_test_main.cc
1204@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_hdrs-unit_test_main.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_hdrs-unit_test_main.Tpo -c -o unit_tests/test_proxy_hdrs-unit_test_main.obj `if test -f 'unit_tests/unit_test_main.cc'; then $(CYGPATH_W) 'unit_tests/unit_test_main.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/unit_test_main.cc'; fi`
1205@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_hdrs-unit_test_main.Tpo unit_tests/$(DEPDIR)/test_proxy_hdrs-unit_test_main.Po
1206@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/unit_test_main.cc' object='unit_tests/test_proxy_hdrs-unit_test_main.obj' libtool=no @AMDEPBACKSLASH@
1207@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1208@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_hdrs-unit_test_main.obj `if test -f 'unit_tests/unit_test_main.cc'; then $(CYGPATH_W) 'unit_tests/unit_test_main.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/unit_test_main.cc'; fi`
1209
1210unit_tests/test_proxy_hdrs-test_Hdrs.o: unit_tests/test_Hdrs.cc
1211@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_hdrs-test_Hdrs.o -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_hdrs-test_Hdrs.Tpo -c -o unit_tests/test_proxy_hdrs-test_Hdrs.o `test -f 'unit_tests/test_Hdrs.cc' || echo '$(srcdir)/'`unit_tests/test_Hdrs.cc
1212@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_hdrs-test_Hdrs.Tpo unit_tests/$(DEPDIR)/test_proxy_hdrs-test_Hdrs.Po
1213@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_Hdrs.cc' object='unit_tests/test_proxy_hdrs-test_Hdrs.o' libtool=no @AMDEPBACKSLASH@
1214@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1215@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_hdrs-test_Hdrs.o `test -f 'unit_tests/test_Hdrs.cc' || echo '$(srcdir)/'`unit_tests/test_Hdrs.cc
1216
1217unit_tests/test_proxy_hdrs-test_Hdrs.obj: unit_tests/test_Hdrs.cc
1218@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_hdrs-test_Hdrs.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_hdrs-test_Hdrs.Tpo -c -o unit_tests/test_proxy_hdrs-test_Hdrs.obj `if test -f 'unit_tests/test_Hdrs.cc'; then $(CYGPATH_W) 'unit_tests/test_Hdrs.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_Hdrs.cc'; fi`
1219@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_hdrs-test_Hdrs.Tpo unit_tests/$(DEPDIR)/test_proxy_hdrs-test_Hdrs.Po
1220@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_Hdrs.cc' object='unit_tests/test_proxy_hdrs-test_Hdrs.obj' libtool=no @AMDEPBACKSLASH@
1221@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1222@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_hdrs-test_Hdrs.obj `if test -f 'unit_tests/test_Hdrs.cc'; then $(CYGPATH_W) 'unit_tests/test_Hdrs.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_Hdrs.cc'; fi`
1223
1224unit_tests/test_proxy_hdrs-test_HdrUtils.o: unit_tests/test_HdrUtils.cc
1225@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_hdrs-test_HdrUtils.o -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_hdrs-test_HdrUtils.Tpo -c -o unit_tests/test_proxy_hdrs-test_HdrUtils.o `test -f 'unit_tests/test_HdrUtils.cc' || echo '$(srcdir)/'`unit_tests/test_HdrUtils.cc
1226@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_hdrs-test_HdrUtils.Tpo unit_tests/$(DEPDIR)/test_proxy_hdrs-test_HdrUtils.Po
1227@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_HdrUtils.cc' object='unit_tests/test_proxy_hdrs-test_HdrUtils.o' libtool=no @AMDEPBACKSLASH@
1228@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1229@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_hdrs-test_HdrUtils.o `test -f 'unit_tests/test_HdrUtils.cc' || echo '$(srcdir)/'`unit_tests/test_HdrUtils.cc
1230
1231unit_tests/test_proxy_hdrs-test_HdrUtils.obj: unit_tests/test_HdrUtils.cc
1232@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_hdrs-test_HdrUtils.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_hdrs-test_HdrUtils.Tpo -c -o unit_tests/test_proxy_hdrs-test_HdrUtils.obj `if test -f 'unit_tests/test_HdrUtils.cc'; then $(CYGPATH_W) 'unit_tests/test_HdrUtils.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_HdrUtils.cc'; fi`
1233@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_hdrs-test_HdrUtils.Tpo unit_tests/$(DEPDIR)/test_proxy_hdrs-test_HdrUtils.Po
1234@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_HdrUtils.cc' object='unit_tests/test_proxy_hdrs-test_HdrUtils.obj' libtool=no @AMDEPBACKSLASH@
1235@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1236@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_hdrs-test_HdrUtils.obj `if test -f 'unit_tests/test_HdrUtils.cc'; then $(CYGPATH_W) 'unit_tests/test_HdrUtils.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_HdrUtils.cc'; fi`
1237
1238unit_tests/test_proxy_hdrs-test_URL.o: unit_tests/test_URL.cc
1239@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_hdrs-test_URL.o -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_hdrs-test_URL.Tpo -c -o unit_tests/test_proxy_hdrs-test_URL.o `test -f 'unit_tests/test_URL.cc' || echo '$(srcdir)/'`unit_tests/test_URL.cc
1240@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_hdrs-test_URL.Tpo unit_tests/$(DEPDIR)/test_proxy_hdrs-test_URL.Po
1241@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_URL.cc' object='unit_tests/test_proxy_hdrs-test_URL.o' libtool=no @AMDEPBACKSLASH@
1242@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1243@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_hdrs-test_URL.o `test -f 'unit_tests/test_URL.cc' || echo '$(srcdir)/'`unit_tests/test_URL.cc
1244
1245unit_tests/test_proxy_hdrs-test_URL.obj: unit_tests/test_URL.cc
1246@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_hdrs-test_URL.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_hdrs-test_URL.Tpo -c -o unit_tests/test_proxy_hdrs-test_URL.obj `if test -f 'unit_tests/test_URL.cc'; then $(CYGPATH_W) 'unit_tests/test_URL.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_URL.cc'; fi`
1247@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_hdrs-test_URL.Tpo unit_tests/$(DEPDIR)/test_proxy_hdrs-test_URL.Po
1248@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_URL.cc' object='unit_tests/test_proxy_hdrs-test_URL.obj' libtool=no @AMDEPBACKSLASH@
1249@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1250@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_hdrs-test_URL.obj `if test -f 'unit_tests/test_URL.cc'; then $(CYGPATH_W) 'unit_tests/test_URL.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_URL.cc'; fi`
1251
1252unit_tests/test_proxy_hdrs-test_mime.o: unit_tests/test_mime.cc
1253@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_hdrs-test_mime.o -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_hdrs-test_mime.Tpo -c -o unit_tests/test_proxy_hdrs-test_mime.o `test -f 'unit_tests/test_mime.cc' || echo '$(srcdir)/'`unit_tests/test_mime.cc
1254@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_hdrs-test_mime.Tpo unit_tests/$(DEPDIR)/test_proxy_hdrs-test_mime.Po
1255@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_mime.cc' object='unit_tests/test_proxy_hdrs-test_mime.o' libtool=no @AMDEPBACKSLASH@
1256@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1257@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_hdrs-test_mime.o `test -f 'unit_tests/test_mime.cc' || echo '$(srcdir)/'`unit_tests/test_mime.cc
1258
1259unit_tests/test_proxy_hdrs-test_mime.obj: unit_tests/test_mime.cc
1260@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT unit_tests/test_proxy_hdrs-test_mime.obj -MD -MP -MF unit_tests/$(DEPDIR)/test_proxy_hdrs-test_mime.Tpo -c -o unit_tests/test_proxy_hdrs-test_mime.obj `if test -f 'unit_tests/test_mime.cc'; then $(CYGPATH_W) 'unit_tests/test_mime.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_mime.cc'; fi`
1261@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) unit_tests/$(DEPDIR)/test_proxy_hdrs-test_mime.Tpo unit_tests/$(DEPDIR)/test_proxy_hdrs-test_mime.Po
1262@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='unit_tests/test_mime.cc' object='unit_tests/test_proxy_hdrs-test_mime.obj' libtool=no @AMDEPBACKSLASH@
1263@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1264@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_proxy_hdrs_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o unit_tests/test_proxy_hdrs-test_mime.obj `if test -f 'unit_tests/test_mime.cc'; then $(CYGPATH_W) 'unit_tests/test_mime.cc'; else $(CYGPATH_W) '$(srcdir)/unit_tests/test_mime.cc'; fi`
1265
1266mostlyclean-libtool:
1267	-rm -f *.lo
1268
1269clean-libtool:
1270	-rm -rf .libs _libs
1271clang-tidy-local:
1272
1273ID: $(am__tagged_files)
1274	$(am__define_uniq_tagged_files); mkid -fID $$unique
1275tags: tags-am
1276TAGS: tags
1277
1278tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1279	set x; \
1280	here=`pwd`; \
1281	$(am__define_uniq_tagged_files); \
1282	shift; \
1283	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1284	  test -n "$$unique" || unique=$$empty_fix; \
1285	  if test $$# -gt 0; then \
1286	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1287	      "$$@" $$unique; \
1288	  else \
1289	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1290	      $$unique; \
1291	  fi; \
1292	fi
1293ctags: ctags-am
1294
1295CTAGS: ctags
1296ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1297	$(am__define_uniq_tagged_files); \
1298	test -z "$(CTAGS_ARGS)$$unique" \
1299	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1300	     $$unique
1301
1302GTAGS:
1303	here=`$(am__cd) $(top_builddir) && pwd` \
1304	  && $(am__cd) $(top_srcdir) \
1305	  && gtags -i $(GTAGS_ARGS) "$$here"
1306cscopelist: cscopelist-am
1307
1308cscopelist-am: $(am__tagged_files)
1309	list='$(am__tagged_files)'; \
1310	case "$(srcdir)" in \
1311	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1312	  *) sdir=$(subdir)/$(srcdir) ;; \
1313	esac; \
1314	for i in $$list; do \
1315	  if test -f "$$i"; then \
1316	    echo "$(subdir)/$$i"; \
1317	  else \
1318	    echo "$$sdir/$$i"; \
1319	  fi; \
1320	done >> $(top_builddir)/cscope.files
1321
1322distclean-tags:
1323	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1324
1325# Recover from deleted '.trs' file; this should ensure that
1326# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1327# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1328# to avoid problems with "make -n".
1329.log.trs:
1330	rm -f $< $@
1331	$(MAKE) $(AM_MAKEFLAGS) $<
1332
1333# Leading 'am--fnord' is there to ensure the list of targets does not
1334# expand to empty, as could happen e.g. with make check TESTS=''.
1335am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1336am--force-recheck:
1337	@:
1338
1339$(TEST_SUITE_LOG): $(TEST_LOGS)
1340	@$(am__set_TESTS_bases); \
1341	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1342	redo_bases=`for i in $$bases; do \
1343	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1344	            done`; \
1345	if test -n "$$redo_bases"; then \
1346	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1347	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1348	  if $(am__make_dryrun); then :; else \
1349	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1350	  fi; \
1351	fi; \
1352	if test -n "$$am__remaking_logs"; then \
1353	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1354	       "recursion detected" >&2; \
1355	elif test -n "$$redo_logs"; then \
1356	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1357	fi; \
1358	if $(am__make_dryrun); then :; else \
1359	  st=0;  \
1360	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1361	  for i in $$redo_bases; do \
1362	    test -f $$i.trs && test -r $$i.trs \
1363	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1364	    test -f $$i.log && test -r $$i.log \
1365	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1366	  done; \
1367	  test $$st -eq 0 || exit 1; \
1368	fi
1369	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1370	ws='[ 	]'; \
1371	results=`for b in $$bases; do echo $$b.trs; done`; \
1372	test -n "$$results" || results=/dev/null; \
1373	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1374	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1375	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1376	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1377	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1378	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1379	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1380	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1381	  success=true; \
1382	else \
1383	  success=false; \
1384	fi; \
1385	br='==================='; br=$$br$$br$$br$$br; \
1386	result_count () \
1387	{ \
1388	    if test x"$$1" = x"--maybe-color"; then \
1389	      maybe_colorize=yes; \
1390	    elif test x"$$1" = x"--no-color"; then \
1391	      maybe_colorize=no; \
1392	    else \
1393	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1394	    fi; \
1395	    shift; \
1396	    desc=$$1 count=$$2; \
1397	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1398	      color_start=$$3 color_end=$$std; \
1399	    else \
1400	      color_start= color_end=; \
1401	    fi; \
1402	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1403	}; \
1404	create_testsuite_report () \
1405	{ \
1406	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1407	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1408	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1409	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1410	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1411	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1412	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1413	}; \
1414	{								\
1415	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1416	    $(am__rst_title);						\
1417	  create_testsuite_report --no-color;				\
1418	  echo;								\
1419	  echo ".. contents:: :depth: 2";				\
1420	  echo;								\
1421	  for b in $$bases; do echo $$b; done				\
1422	    | $(am__create_global_log);					\
1423	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1424	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1425	if $$success; then						\
1426	  col="$$grn";							\
1427	 else								\
1428	  col="$$red";							\
1429	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1430	fi;								\
1431	echo "$${col}$$br$${std}"; 					\
1432	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1433	echo "$${col}$$br$${std}"; 					\
1434	create_testsuite_report --maybe-color;				\
1435	echo "$$col$$br$$std";						\
1436	if $$success; then :; else					\
1437	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1438	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1439	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1440	  fi;								\
1441	  echo "$$col$$br$$std";					\
1442	fi;								\
1443	$$success || exit 1
1444
1445check-TESTS: $(check_PROGRAMS)
1446	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1447	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1448	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1449	@set +e; $(am__set_TESTS_bases); \
1450	log_list=`for i in $$bases; do echo $$i.log; done`; \
1451	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1452	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1453	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1454	exit $$?;
1455recheck: all $(check_PROGRAMS)
1456	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1457	@set +e; $(am__set_TESTS_bases); \
1458	bases=`for i in $$bases; do echo $$i; done \
1459	         | $(am__list_recheck_tests)` || exit 1; \
1460	log_list=`for i in $$bases; do echo $$i.log; done`; \
1461	log_list=`echo $$log_list`; \
1462	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1463	        am__force_recheck=am--force-recheck \
1464	        TEST_LOGS="$$log_list"; \
1465	exit $$?
1466test_proxy_hdrs.log: test_proxy_hdrs$(EXEEXT)
1467	@p='test_proxy_hdrs$(EXEEXT)'; \
1468	b='test_proxy_hdrs'; \
1469	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1470	--log-file $$b.log --trs-file $$b.trs \
1471	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1472	"$$tst" $(AM_TESTS_FD_REDIRECT)
1473test_hdr_heap.log: test_hdr_heap$(EXEEXT)
1474	@p='test_hdr_heap$(EXEEXT)'; \
1475	b='test_hdr_heap'; \
1476	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1477	--log-file $$b.log --trs-file $$b.trs \
1478	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1479	"$$tst" $(AM_TESTS_FD_REDIRECT)
1480test_Huffmancode.log: test_Huffmancode$(EXEEXT)
1481	@p='test_Huffmancode$(EXEEXT)'; \
1482	b='test_Huffmancode'; \
1483	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1484	--log-file $$b.log --trs-file $$b.trs \
1485	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1486	"$$tst" $(AM_TESTS_FD_REDIRECT)
1487test_XPACK.log: test_XPACK$(EXEEXT)
1488	@p='test_XPACK$(EXEEXT)'; \
1489	b='test_XPACK'; \
1490	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1491	--log-file $$b.log --trs-file $$b.trs \
1492	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1493	"$$tst" $(AM_TESTS_FD_REDIRECT)
1494.test.log:
1495	@p='$<'; \
1496	$(am__set_b); \
1497	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1498	--log-file $$b.log --trs-file $$b.trs \
1499	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1500	"$$tst" $(AM_TESTS_FD_REDIRECT)
1501@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1502@am__EXEEXT_TRUE@	@p='$<'; \
1503@am__EXEEXT_TRUE@	$(am__set_b); \
1504@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1505@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1506@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1507@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1508
1509distdir: $(BUILT_SOURCES)
1510	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1511
1512distdir-am: $(DISTFILES)
1513	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1514	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1515	list='$(DISTFILES)'; \
1516	  dist_files=`for file in $$list; do echo $$file; done | \
1517	  sed -e "s|^$$srcdirstrip/||;t" \
1518	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1519	case $$dist_files in \
1520	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1521			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1522			   sort -u` ;; \
1523	esac; \
1524	for file in $$dist_files; do \
1525	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1526	  if test -d $$d/$$file; then \
1527	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1528	    if test -d "$(distdir)/$$file"; then \
1529	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1530	    fi; \
1531	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1532	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1533	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1534	    fi; \
1535	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1536	  else \
1537	    test -f "$(distdir)/$$file" \
1538	    || cp -p $$d/$$file "$(distdir)/$$file" \
1539	    || exit 1; \
1540	  fi; \
1541	done
1542check-am: all-am
1543	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1544	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1545check: check-am
1546all-am: Makefile $(LIBRARIES)
1547installdirs:
1548install: install-am
1549install-exec: install-exec-am
1550install-data: install-data-am
1551uninstall: uninstall-am
1552
1553install-am: all-am
1554	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1555
1556installcheck: installcheck-am
1557install-strip:
1558	if test -z '$(STRIP)'; then \
1559	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1560	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1561	      install; \
1562	else \
1563	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1564	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1565	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1566	fi
1567mostlyclean-generic:
1568	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1569	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1570	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1571
1572clean-generic:
1573
1574distclean-generic:
1575	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1576	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1577	-rm -f unit_tests/$(DEPDIR)/$(am__dirstamp)
1578	-rm -f unit_tests/$(am__dirstamp)
1579
1580maintainer-clean-generic:
1581	@echo "This command is intended for maintainers to use"
1582	@echo "it deletes files that may require special tools to rebuild."
1583clang-tidy: clang-tidy-am
1584
1585clang-tidy-am: clang-tidy-local
1586
1587clean: clean-am
1588
1589clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1590	clean-noinstLIBRARIES mostlyclean-am
1591
1592distclean: distclean-am
1593		-rm -f ./$(DEPDIR)/HTTP.Po
1594	-rm -f ./$(DEPDIR)/HdrHeap.Po
1595	-rm -f ./$(DEPDIR)/HdrTSOnly.Po
1596	-rm -f ./$(DEPDIR)/HdrToken.Po
1597	-rm -f ./$(DEPDIR)/HdrUtils.Po
1598	-rm -f ./$(DEPDIR)/HttpCompat.Po
1599	-rm -f ./$(DEPDIR)/HuffmanCodec.Po
1600	-rm -f ./$(DEPDIR)/MIME.Po
1601	-rm -f ./$(DEPDIR)/URL.Po
1602	-rm -f ./$(DEPDIR)/XPACK.Po
1603	-rm -f ./$(DEPDIR)/load_http_hdr.Po
1604	-rm -f ./$(DEPDIR)/test_Huffmancode.Po
1605	-rm -f ./$(DEPDIR)/test_XPACK-HuffmanCodec.Po
1606	-rm -f ./$(DEPDIR)/test_XPACK-XPACK.Po
1607	-rm -f unit_tests/$(DEPDIR)/test_XPACK-test_XPACK.Po
1608	-rm -f unit_tests/$(DEPDIR)/test_hdr_heap-test_HdrHeap.Po
1609	-rm -f unit_tests/$(DEPDIR)/test_hdr_heap-unit_test_main.Po
1610	-rm -f unit_tests/$(DEPDIR)/test_proxy_hdrs-test_HdrUtils.Po
1611	-rm -f unit_tests/$(DEPDIR)/test_proxy_hdrs-test_Hdrs.Po
1612	-rm -f unit_tests/$(DEPDIR)/test_proxy_hdrs-test_URL.Po
1613	-rm -f unit_tests/$(DEPDIR)/test_proxy_hdrs-test_mime.Po
1614	-rm -f unit_tests/$(DEPDIR)/test_proxy_hdrs-unit_test_main.Po
1615	-rm -f Makefile
1616distclean-am: clean-am distclean-compile distclean-generic \
1617	distclean-tags
1618
1619dvi: dvi-am
1620
1621dvi-am:
1622
1623html: html-am
1624
1625html-am:
1626
1627info: info-am
1628
1629info-am:
1630
1631install-data-am:
1632
1633install-dvi: install-dvi-am
1634
1635install-dvi-am:
1636
1637install-exec-am:
1638
1639install-html: install-html-am
1640
1641install-html-am:
1642
1643install-info: install-info-am
1644
1645install-info-am:
1646
1647install-man:
1648
1649install-pdf: install-pdf-am
1650
1651install-pdf-am:
1652
1653install-ps: install-ps-am
1654
1655install-ps-am:
1656
1657installcheck-am:
1658
1659maintainer-clean: maintainer-clean-am
1660		-rm -f ./$(DEPDIR)/HTTP.Po
1661	-rm -f ./$(DEPDIR)/HdrHeap.Po
1662	-rm -f ./$(DEPDIR)/HdrTSOnly.Po
1663	-rm -f ./$(DEPDIR)/HdrToken.Po
1664	-rm -f ./$(DEPDIR)/HdrUtils.Po
1665	-rm -f ./$(DEPDIR)/HttpCompat.Po
1666	-rm -f ./$(DEPDIR)/HuffmanCodec.Po
1667	-rm -f ./$(DEPDIR)/MIME.Po
1668	-rm -f ./$(DEPDIR)/URL.Po
1669	-rm -f ./$(DEPDIR)/XPACK.Po
1670	-rm -f ./$(DEPDIR)/load_http_hdr.Po
1671	-rm -f ./$(DEPDIR)/test_Huffmancode.Po
1672	-rm -f ./$(DEPDIR)/test_XPACK-HuffmanCodec.Po
1673	-rm -f ./$(DEPDIR)/test_XPACK-XPACK.Po
1674	-rm -f unit_tests/$(DEPDIR)/test_XPACK-test_XPACK.Po
1675	-rm -f unit_tests/$(DEPDIR)/test_hdr_heap-test_HdrHeap.Po
1676	-rm -f unit_tests/$(DEPDIR)/test_hdr_heap-unit_test_main.Po
1677	-rm -f unit_tests/$(DEPDIR)/test_proxy_hdrs-test_HdrUtils.Po
1678	-rm -f unit_tests/$(DEPDIR)/test_proxy_hdrs-test_Hdrs.Po
1679	-rm -f unit_tests/$(DEPDIR)/test_proxy_hdrs-test_URL.Po
1680	-rm -f unit_tests/$(DEPDIR)/test_proxy_hdrs-test_mime.Po
1681	-rm -f unit_tests/$(DEPDIR)/test_proxy_hdrs-unit_test_main.Po
1682	-rm -f Makefile
1683maintainer-clean-am: distclean-am maintainer-clean-generic
1684
1685mostlyclean: mostlyclean-am
1686
1687mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1688	mostlyclean-libtool
1689
1690pdf: pdf-am
1691
1692pdf-am:
1693
1694ps: ps-am
1695
1696ps-am:
1697
1698uninstall-am:
1699
1700.MAKE: check-am install-am install-strip
1701
1702.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1703	check-am clang-tidy-am clang-tidy-local clean \
1704	clean-checkPROGRAMS clean-generic clean-libtool \
1705	clean-noinstLIBRARIES cscopelist-am ctags ctags-am distclean \
1706	distclean-compile distclean-generic distclean-libtool \
1707	distclean-tags distdir dvi dvi-am html html-am info info-am \
1708	install install-am install-data install-data-am install-dvi \
1709	install-dvi-am install-exec install-exec-am install-html \
1710	install-html-am install-info install-info-am install-man \
1711	install-pdf install-pdf-am install-ps install-ps-am \
1712	install-strip installcheck installcheck-am installdirs \
1713	maintainer-clean maintainer-clean-generic mostlyclean \
1714	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1715	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1716	uninstall-am
1717
1718.PRECIOUS: Makefile
1719
1720
1721#test_UNUSED_SOURCES = \
1722#  test_urlhash.cc
1723
1724clang-tidy-local: $(libhdrs_a_SOURCES)
1725	$(CXX_Clang_Tidy)
1726
1727# Tell versions [3.59,3.63) of GNU make to not export all variables.
1728# Otherwise a system limit (for SysV at least) may be exceeded.
1729.NOEXPORT:
1730